> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tinyfn.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Random Company

> Generate random company name(s) using Faker.



## OpenAPI

````yaml https://api.tinyfn.io/openapi.json get /v1/random/company
openapi: 3.1.0
info:
  title: TinyFn
  description: >-
    Enterprise-grade infrastructure for checking if 4 is even. And other
    utilities.
  version: 1.0.0
servers: []
security: []
paths:
  /v1/random/company:
    get:
      tags:
        - Random Generators
      summary: Random Company
      description: Generate random company name(s) using Faker.
      operationId: random_company_v1_random_company_get
      parameters:
        - name: locale
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Locale (e.g., en_US, ja_JP, de_DE)
            title: Locale
          description: Locale (e.g., en_US, ja_JP, de_DE)
        - name: count
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Number of companies to generate
            default: 1
            title: Count
          description: Number of companies to generate
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````